# Visualization
TKV3d
SelectMgr

# SelectMgr_IndexedMapNodeOfIndexedMapOfOwner Class Reference

`#include <SelectMgr_IndexedMapNodeOfIndexedMapOfOwner.hxx>`

## Public Member Functions

| SelectMgr_IndexedMapNodeOfIndexedMapOfOwner (const Handle(SelectMgr_EntityOwner)&K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_SelectMgr_EntityOwner & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectMgr_EntityOwner | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::SelectMgr_IndexedMapNodeOfIndexedMapOfOwner | ( | const Handle(SelectMgr_EntityOwner)& | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::Handle | ( | Standard_Type |  | ) | const

Handle_SelectMgr_EntityOwner& SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::Key1 | ( |  | ) | const

Standard_Integer& SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::Key2 | ( |  | ) | const

TCollection_MapNodePtr& SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::Next2 | ( |  | ) | const

## Field Documentation

Handle_SelectMgr_EntityOwner SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::myKey1 `[private]`

Standard_Integer SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::myKey2 `[private]`

TCollection_MapNodePtr SelectMgr_IndexedMapNodeOfIndexedMapOfOwner::myNext2 `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_IndexedMapNodeOfIndexedMapOfOwner.hxx